<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_files', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('categories_file', 36);
            $table->string('title');
            $table->string('file');
            $table->boolean('is_active')->nullable();
            $table->integer('downloaded')->nullable();
            $table->string('slug')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_files');
    }
}
